﻿/*
 * License
 * This work is licensed under the Creative Commons Attribution 2.5 License
 * http://creativecommons.org/licenses/by/2.5/

 * You are free:
 *     to copy, distribute, display, and perform the work
 *     to make derivative works
 *     to make commercial use of the work
 * 
 * Under the following conditions:
 *     You must attribute the work in the manner specified by the author or licensor:
 *          - If you find this component useful a email to [sobne.cn@gmail.com] would be appreciated.
 *     For any reuse or distribution, you must make clear to others the license terms of this work.
 *     Any of these conditions can be waived if you get permission from the copyright holder.
 * 
 * Copyright sobne.cn All Rights Reserved.
*/
using System;

namespace Utility4Net.Expression
{
    /// <summary>
    /// 页面编码格式
    /// </summary>
    public class CharsetExpressions
    {
        public const string BIG5 = "BIG5";
        public const string Euc = "Euc";
        public const string euckr = "euc-kr";
        public const string gb2312 = "gb2312";
        public const string gb231280 = "gb_2312-80";
        public const string iso2022jp = "iso-2022-jp";
        public const string iso2022kr = "iso-2022-kr";
        public const string ISO88591 = "ISO-8859-1";
        public const string iso88592 = "iso-8859-2";
        public const string Koi82 = "Koi8-2";
        public const string SHIFTJis = "SHIFT-Jis";
        public const string usascii = "us-ascii";
        public const string UTF8 = "UTF-8";
        public const string xcns116431 = " x-cns11643-1";
        public const string xcns116432 = " x-cns11643-2";
        public const string xeucjp = " x-euc-jp";
        public const string xeuctw = "x-euc-tw";
        public const string xmacroman = "x-mac-roman";
        public const string xmacce = "x-mac-ce";
        public const string xsjis = "x-sjis";
    }
}
